Bug 242085 - lang/spidermonkey60: Missing symbols with Clang
Summary: lang/spidermonkey60: Missing symbols with Clang
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koop Mast
URL: https://bugzilla.mozilla.org/show_bug...
Keywords:
Depends on:
Blocks: 243378
  Show dependency treegraph
 
Reported: 2019-11-19 18:50 UTC by Olivier Duchateau
Modified: 2020-01-16 10:37 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Duchateau 2019-11-19 18:50:45 UTC
Currently, we can't upgrade sysutils/polkit to 0.116 (release 0.115 works fine). Because this version is buggy with Clang. This problem was fixed recently (see URL).
Comment 1 Tobias C. Berner freebsd_committer 2019-11-19 19:20:32 UTC
Moin moin 

Yeah, I've been adding the spidermonkey60 port as it was needed for the polkit upgrade, but did not yet get to actually use it, and notice the issue :)

Thanks for digging up that upstream fix, I'll fix it asap.


mfg Tobias
Comment 2 Olivier Duchateau 2020-01-15 20:02:39 UTC
Fixed with revision r522842. Now polkit 0.116 works fine see bug #243378
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2020-01-16 10:37:27 UTC
^Triage: Assign to committer that resolved, track blocked issue